AOZ Studio Beta - Bug #120

Rainbow Height
02/05/2020 08:40 AM - Nick Morison

Status: Feedback Start date: 02/05/2020
Priority: Low Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 0.9.5

Affected version: Beta 2

Description

The rainbow command seems to be ignoring the last parameter (the height).
The below draws one 32 pixel high bar in Amos, but fills the screen in AOZ:

#manifest:"amiga"
#fullScreen:true

set rainbow 0,1,32,"","","(1,1,15) (1,-1,15)"
rainbow 0,0,100,32 // height (last parameter) ignored
wait key

History

#1 - 02/22/2020 11:22 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.5

Fixed!

#2 - 03/07/2020 12:37 PM - Baptiste Pillot
- File capture2.png added

- File capture1.png added

- Description updated

- Status changed from Resolved to Feedback

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/477
e run : https://www.amos2.fr/run/tickleman/120
e result : a 31 pixels (with upscaling) height rainbow.

It's not exactly 32 pixels, but 31. Is it right ? not sure.
Look at the capture2.png file : 124 pixels height (4x31), instead of 128 pixels.

capture2.png

#3 - 10/07/2020 12:39 PM - Brian Flanagan
- Priority changed from Normal to Low

- Estimated time set to 1:00 h

#4 - 12/07/2020 09:39 PM - Brian Flanagan
- Affected version changed from 0.9.4 to Beta 2

Re-tested in Beta 2.

It's broken worse now. | just get a black screen instead of what Pillot saw.
https://www.amos2.fr/ide/Amos2/Ide/Program/477
https://www.amos2.fr/run/tickleman/120

capture2.png 840 Bytes 03/07/2020 Baptiste Pillot
capturel.png 7.97 KB 03/07/2020 Baptiste Pillot
